Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_select/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_select/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_select/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Rename_select_DIR_LIBRARY	=	-L$(Rename_select_DIR)/lib	\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Rename_select_library		:
+Rename_select_library_only	:
+				@\
+				$(MAKE) --directory=$(Rename_select_DIR) --makefile=Makefile;
+
+Rename_select_library_clean_only:
+				@\
+				$(MAKE) --directory=$(Rename_select_DIR) --makefile=Makefile clean;
+
+Rename_select_library		: Rename_select_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Rename_select_DIR) --makefile=Makefile;
+				$(MAKE) Priority_library;
 
-Rename_select_library_clean	:
+Rename_select_library_clean	: Rename_select_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;		\
-				$(MAKE) --directory=$(Rename_select_DIR) --makefile=Makefile clean;
+				$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_unit_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_unit_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_unit_Glue/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,21 @@
 
 Rename_unit_Glue_LIBRARY		= 	-lRename_unit_Glue	\
-					$(Behavioural_LIBRARY)	
-
-Rename_unit_Glue_DIR_LIBRARY		=	-L$(Rename_unit_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Rename_unit_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Rename_unit_Glue_DIR) --makefile=Makefile;
+Rename_unit_Glue_library_only		:
+					@\
+					$(MAKE) --directory=$(Rename_unit_Glue_DIR) --makefile=Makefile;
 
-Rename_unit_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Rename_unit_Glue_DIR) --makefile=Makefile clean;
+Rename_unit_Glue_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Rename_unit_Glue_DIR) --makefile=Makefile clean;
+
+Rename_unit_Glue_library		: Rename_unit_Glue_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Rename_unit_Glue_library_clean		: Rename_unit_Glue_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/Makefile.deps	(revision 142)
@@ -23,16 +23,19 @@
 						$(Behavioural_LIBRARY)	
 
-Special_Register_unit_DIR_LIBRARY	=	-L$(Special_Register_unit_DIR)/lib	\
-						$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Special_Register_unit_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Special_Register_unit_DIR) --makefile=Makefile;
+Special_Register_unit_library_only	:
+					@\
+					$(MAKE) --directory=$(Special_Register_unit_DIR) --makefile=Makefile;
 
-Special_Register_unit_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Special_Register_unit_DIR) --makefile=Makefile clean;
+Special_Register_unit_library_clean_only:
+					@\
+					$(MAKE) --directory=$(Special_Register_unit_DIR) --makefile=Makefile clean;
+
+Special_Register_unit_library		: Special_Register_unit_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Special_Register_unit_library_clean	: Special_Register_unit_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
